Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(616)

Issue 2558733002: Sort fields in ComputedStyleBase in decreasing order of size (Closed)

Created:
1 year, 6 months ago by sashab
Modified:
1 year, 6 months ago
Reviewers:
loyso (OOO), napper
CC:
blink-reviews, chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Sort fields in ComputedStyleBase in decreasing order of size Sort fields in ComputedStyleBase in decreasing order of size. This is a micro optimization that improves field alignment and minimizes wasted memory space. From Intel on 'Coding for Performance': https://software.intel.com/en-us/articles/coding-for-performance-data-alignment-and-structures "One can try to minimize this memory wastage by ordering the structure elements such that the widest (largest) element comes first, followed by the second widest, and so on." Another good explanation article: https://msdn.microsoft.com/en-us/library/ewwyfdbe.aspx BUG=628043 Committed: https://crrev.com/a642f81bd7da2c6b02bd288c443c8e42416baa58 Cr-Commit-Position: refs/heads/master@{#437813}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+4 lines, -0 lines) Patch
M third_party/WebKit/Source/build/scripts/make_computed_style_base.py View 1 chunk +4 lines, -0 lines 0 comments Download

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 15 (8 generated)
sashab
1 year, 6 months ago (2016-12-07 05:28:26 UTC) #3
napper
lgtm
1 year, 6 months ago (2016-12-07 05:54:34 UTC) #5
sashab
alexey for follow-up review :)
1 year, 6 months ago (2016-12-07 06:21:48 UTC) #7
loyso (OOO)
On 2016/12/07 at 06:21:48, sashab wrote: > alexey for follow-up review :) LGTM! Glad to ...
1 year, 6 months ago (2016-12-07 06:45:06 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2558733002/1
1 year, 6 months ago (2016-12-12 01:55:15 UTC) #10
commit-bot: I haz the power
Committed patchset #1 (id:1)
1 year, 6 months ago (2016-12-12 03:18:43 UTC) #13
commit-bot: I haz the power
1 year, 6 months ago (2016-12-12 15:10:22 UTC) #15
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/a642f81bd7da2c6b02bd288c443c8e42416baa58
Cr-Commit-Position: refs/heads/master@{#437813}

Powered by Google App Engine
This is Rietveld 408576698